Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## iaik.pkcs.pkcs11
Class TokenException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              iaik.pkcs.pkcs11.TokenException

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  PKCS11Exception

public class TokenException
extends Exception

The base class for all exceptions in this package. It is able to wrap a other exception from a lower layer.

See Also:
  Serialized Form
Invariants

Field Summary
`protected Exception` | `encapsulatedException_` An encapsulated (inner) exception.

Constructor Summary
`TokenException()` The default constructor.
`TokenException(Exception encapsulatedException)` Constructor taking an other exception to wrap.
`TokenException(String message)` Constructor taking an exception message.
`TokenException(String message, Exception encapsulatedException)` Constructor taking a message for this exception and an other exception to wrap.

Method Summary
`Exception` | `getEncapsulatedException()` Get the encapsulated (wrapped) exception.
`String` | `toString()` Returns the string representation of this exception, including the string representation of the wrapped (encapsulated) exception.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### encapsulatedException_

    protected Exception encapsulatedException_

  An encapsulated (inner) exception. Possibly, an exception from a lower layer that ca be propagated to a higher layer only in wrapped form.

Constructor Detail

### TokenException

    public TokenException()

  The default constructor.

Preconditions
Postconditions

### TokenException

    public TokenException(String message)

  Constructor taking an exception message.

Parameters:
  `message` - The message giving details about the exception to ease debugging.
Preconditions
Postconditions

### TokenException

    public TokenException(Exception encapsulatedException)

  Constructor taking an other exception to wrap.

Parameters:
  `encapsulatedException` - The other exception the wrap into this.
Preconditions
Postconditions

### TokenException

    public TokenException(String message,
                          Exception encapsulatedException)

  Constructor taking a message for this exception and an other exception to wrap.

Parameters:
  `message` - The message giving details about the exception to ease debugging.
  `encapsulatedException` - The other exception the wrap into this.
Preconditions
Postconditions

Method Detail

### getEncapsulatedException

    public Exception getEncapsulatedException()

  Get the encapsulated (wrapped) exception. May be null.

  Returns:
    The encasulated (wrapped) exception, or null if there is no inner exception.
  Preconditions
  Postconditions

### toString

    public String toString()

  Returns the string representation of this exception, including the string representation of the wrapped (encapsulated) exception.

  Returns:
    The string representation of exception.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| IAIK PKCS#11 Wrapper version 1.2.16
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

IAIK JavaSecurity Website http://jce.iaik.tugraz.at/
IAIK at Graz University of Technology, Austria, Europe
Copyright 2001-2002, IAIK, Graz University of Technology, Inffeldgasse 16a, 8010 Graz, Austria. All Rights Reserved.